function love.load()
love.graphics.setMode(400, 600, false, true, 0)
love.graphics.setBackgroundColor(0, 0, 0)
health = 100
player = {
	x = 168,
	y = 512,
	image = love.graphics.newImage("player.png")
	}
background1 = {
	x = 0,
	y = 0,
	image = love.graphics.newImage("background.png")
	}
background2 = {
	x = 0,
	y = -600,
	image = love.graphics.newImage("background.png")
	}
healthbar = {
	x = 12,
	y = 380
	}
bullet = {
	image = love.graphics.newImage("bullet.png"),
	x = 0,
	y = 0
	}
enemy1 = {
	image = love.graphics.newImage("enemy1.png"),
	x = 0,
	y = -32
	}
projectiles = {}
end


function love.draw()
love.graphics.draw(background2.image, background2.x, background2.y)
love.graphics.draw(background1.image, background1.x, background1.y)
love.graphics.draw(player.image, player.x, player.y)
love.graphics.setColorMode("modulate")
love.graphics.setColor(15, 52, 4, 200)
love.graphics.rectangle("fill", 4, 575, ((380 * health)/100), 20 )
love.graphics.setColorMode("replace")
love.graphics.setColorMode("modulate")
love.graphics.setColor(10, 150, 5, 255)
love.graphics.printf(math.ceil(health ), 4, 590, 2, "left") 
love.graphics.setColorMode("replace")
end

function love.update(dt)
local removetable = {}

	if love.keyboard.isDown("left") then
		if player.x > 4 then
		player.x = player.x - 1
		end
	end
	
	if love.keyboard.isDown("right") then
		if player.x < 332 then
		player.x = player.x + 1
		end
	end
	
	if love.keyboard.isDown("up") then
		if player.y > 450 then
		player.y = player.y - 1
		elseif player.y > 350 then
		player.y = player.y - 0.8
		elseif player.y > 250 then
		player.y = player.y - 0.6
		elseif player.y > 150 then
		player.y = player.y - 0.4
		elseif player.y > 50 then
		player.y = player.y - 0.2
		else
		player.y = player.y - 0
		end
	end
	
	for i,v in ipairs(projectiles) do
		v.y = v.y - 3
		if v.y < 0 then
			table.insert(removetable, i)
		end
	end
	
	for i,v in ipairs(removetable) do
        table.remove(projectiles, v-i+1)
	end
	
	if love.keyboard.isDown("down") then
		if player.y <= 512 then 
		player.y = player.y + 0.6
		end
	end
	
	if player.y <= 512 then
	player.y = player.y + 0.2
	end
	
	background1.y = background1.y + 0.5
	background2.y = background2.y + 0.5
	
	if background1.y == 600 then
		background1.y = -600
	end
	if background2.y == 600 then
		background2.y = -600
	end

end

function love.keypressed(key,unicode)
	if keypressed == " " then
		local randnum = math.random(-8, 8)
		randnum = 28 + randnum
		table.insert(projectiles, {x=(player.x + randnum), y=player.y, image=bullet.image})
	end
end